/*
// $Id: //open/dev/farrago/src/org/eigenbase/util/ReflectiveVisitor.java#4 $
// Package org.eigenbase is a class library of data management components.
// Copyright (C) 2008-2009 The Eigenbase Project
// Copyright (C) 2008-2009 SQLstream, Inc.
// Copyright (C) 2008-2009 LucidEra, Inc.
//
// This program is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by the Free
// Software Foundation; either version 2 of the License, or (at your option)
// any later version approved by The Eigenbase Project.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
package org.eigenbase.util;

/**
 * Object which can be a target for a reflective visitation (see {@link
 * ReflectUtil#invokeVisitor(ReflectiveVisitor, Object, Class, String)}.
 *
 * <p>This is a tagging interface: it has no methods, and is not even required
 * in order to use reflective visitation, but serves to advise users of the
 * class of the intended use of the class and refer them to auxilliary classes.
 *
 * @author Julian Hyde
 * @version $Id: //open/dev/farrago/src/org/eigenbase/util/ReflectiveVisitor.java#4 $
 */
public interface ReflectiveVisitor
{
}

// End ReflectiveVisitor.java
